#!/bin/bash

port_publisher=5431


(
    echo "
-- For binary upgrade, must preserve pg_type oid
SELECT pg_catalog.binary_upgrade_set_next_pg_type_oid('20001'::pg_catalog.oid);

-- For binary upgrade, must preserve pg_type array oid
SELECT pg_catalog.binary_upgrade_set_next_array_pg_type_oid('20002'::pg_catalog.oid);


-- For binary upgrade, must preserve pg_class oids and relfilenodes
SELECT pg_catalog.binary_upgrade_set_next_heap_pg_class_oid('20000'::pg_catalog.oid);
SELECT pg_catalog.binary_upgrade_set_next_heap_relfilenode('20000'::pg_catalog.oid);

CREATE TABLE bar (
    "a" integer,
    "b" integer
);

CREATE_REPLICATION_SLOT \"test\" LOGICAL test_decoding;"

) | psql "host=`pwd` user=postgres port=50432 replication=database"

